Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.manager
Class MethodCacheKey

    java.lang.Object
      org.apache.torque.manager.MethodCacheKey

All Implemented Interfaces:
  Serializable

    public class MethodCacheKey

extends Object
implements Serializable

The key for the MethodResultCache.

Version:
  $Id: MethodCacheKey.java 1379317 2012-08-31 06:56:48Z tfischer $
See Also:
  Serialized Form

Constructor Summary
`MethodCacheKey()`
`MethodCacheKey(Serializable instanceOrClass, String method, Serializable... arg)` Construct key

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getGroupKey()` Return the group key
`int` | `hashCode()`
`void` | `init(Serializable instanceOrClass, String method, Serializable... arg)` Initialize the key
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodCacheKey

    public MethodCacheKey()

### MethodCacheKey

    public MethodCacheKey(Serializable instanceOrClass,
                          String method,
                          Serializable... arg)

  Construct key

  Parameters:
    `instanceOrClass` - the Object on which the method is invoked. if the method is static, a String representing the class name is used.
    `method` - the method name
    `arg` - optional arguments for the method

Method Detail

### init

    public void init(Serializable instanceOrClass,
                     String method,
                     Serializable... arg)

  Initialize the key

  Parameters:
    `instanceOrClass` - the Object on which the method is invoked. if the method is static, a String representing the class name is used.
    `method` - the method name
    `arg` - optional arguments for the method

### getGroupKey

    public String getGroupKey()

  Return the group key

  Returns:
    the group key

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.